import { defineComponent as c, mergeModels as l, useModel as a, createBlock as m, openBlock as p, unref as r } from "vue";
import { useI18n as s } from "vue-i18n";
import { j as f } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { p as d } from "./PricingController-Bn7qwpk_.mjs";
const g = /* @__PURE__ */ c({
  __name: "MSRPToStringConfiguration",
  props: /* @__PURE__ */ l({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = a(e, "modelValue"), { t: i } = s();
    return (_, o) => (p(), m(r(f), {
      data: r(d).listCurrencies,
      text: t.value.currency,
      label: r(i)("pim.etl.MSRPToStringConfiguration.currency"),
      "item-title": "currency",
      "item-value": "currency",
      select: "",
      onChange: o[0] || (o[0] = (u) => t.value.currency = u)
    }, null, 8, ["data", "text", "label"]));
  }
});
function n(e) {
  const t = e;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            MSRPToStringConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            MSRPToStringConfiguration: {
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } }
            }
          }
        }
      }
    }
  });
}
typeof n == "function" && n(g);
export {
  g as default
};
